## kpeople 5.86.0

=== debian/changelog ===
kpeople (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:09 +0100

kpeople (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:30 +0100

kpeople (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:25 +0100

kpeople (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:26 +0100

kpeople (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:10 +0100

kpeople (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:34 +0100

=== debian/control ===
Source: kpeople
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.5~),
               dbus-x11,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.86.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.86.0~),
               libkf5i18n-dev (>= 5.86.0~),
               libkf5itemviews-dev (>= 5.86.0~),
               libkf5widgetsaddons-dev (>= 5.86.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.14.0~),
               qtdeclarative5-dev (>= 5.14.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/frameworks/kpeople
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
Rules-Requires-Root: no

Package: libkf5people-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5people5 (<< 5.77.0-2), libkpeople3
Replaces: libkf5people5 (<< 5.77.0-2), libkpeople3
Description: data files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the data files.

Package: libkf5people-dev
Section: libdevel
Architecture: any
Depends: libkf5people5 (= ${binary:Version}),
         libkf5peoplebackend5 (= ${binary:Version}),
         libkf5peoplewidgets5 (= ${binary:Version}),
         qtbase5-dev (>= 5.14.0~),
         ${misc:Depends},
Recommends: libkf5people-doc (= ${source:Version})
Description: development files for kpeople
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5people-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: framework providing unified access to contacts aggregated by person (documentation)
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5people5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplebackend5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: libkf5peoplewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5people-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.

Package: qml-module-org-kde-people
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework providing unified access to contacts aggregated by person
 KPeople offers unified access to contacts from different sources, grouping
 them by person while still exposing all the data.
 .
 Furthermore, KPeople will also provide facilities to integrate the data
 provided in user interfaces by providing QML and Qt Widgets components.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the QML module.

## kpeople 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project (KPeople VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.15.2)
include(KDEInstallDirs)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml)

# On non-Apple UNIX DBus integration is required, on Android it does not exist and on other platforms it is optional
if(UNIX AND NOT APPLE)
    if(NOT ANDROID)
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS DBus)
endif()

find_package(KF5CoreAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF_DEP_VERSION} CONFIG REQUIRED)

include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMAddQch)
include(CMakePackageConfigHelpers)
include(ECMGeneratePriFile)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

add_definitions(-DTRANSLATION_DOMAIN=\"kpeople5\")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5People")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPEOPLE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpeople_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
                        SOVERSION 5)

option(ENABLE_EXAMPLES "Build the examples" "ON")

ki18n_install(po)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
add_subdirectory (src)
if (ENABLE_EXAMPLES)
  add_subdirectory(examples)
endif()
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5People_QCH
        FILE KF5PeopleQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PeopleQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PeopleConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT KPeopleTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPeopleTargets.cmake NAMESPACE KF5::)
install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5PeopleConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kpeople (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:19 +0000

kpeople (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:33 +0000

kpeople (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:31 +0000

kpeople (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:20 +0000

kpeople (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:58 +0000

kpeople (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 15:02:09 +0000

kpeople (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kpeople (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:20:03 +0000

kpeople (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:56 +0000

kpeople (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:59:22 +0900

kpeople (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kpeople (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:08 +0900

kpeople (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:08 +0900

kpeople (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:23:07 +0900

kpeople (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:17:44 +0900

kpeople (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kpeople (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kpeople (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kpeople
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5itemviews-dev (>= 5.86.0~),
-               libkf5widgetsaddons-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5itemviews-dev (>= 5.92.0~),
+               libkf5widgetsaddons-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.14.0~),
-               qtdeclarative5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
+               qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kpeople
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
@@ -30,8 +29,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5people5 (<< 5.77.0-2), libkpeople3
-Replaces: libkf5people5 (<< 5.77.0-2), libkpeople3
+Breaks: libkf5people5 (<< 5.74), libkpeople3
+Replaces: libkf5people5 (<< 5.74), libkpeople3
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -49,7 +48,7 @@
 Depends: libkf5people5 (= ${binary:Version}),
          libkf5peoplebackend5 (= ${binary:Version}),
          libkf5peoplewidgets5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5people-doc (= ${source:Version})
 Description: development files for kpeople
@@ -84,7 +83,7 @@
 Multi-Arch: same
 Depends: libkf5people-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -99,7 +98,7 @@
 Multi-Arch: same
 Depends: libkf5people-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kpeople-([\d.]+)\.tar\.xz

## kpeople 5.98.0

=== debian/changelog ===
kpeople (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:14 +0100

kpeople (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:34 +0100

kpeople (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:18 +0100

kpeople (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:02 +0100

kpeople (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:48 +0100

kpeople (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:11 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),

## kpeople 5.100.0

=== debian/changelog ===
kpeople (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:01 +0100

kpeople (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

kpeople (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:34 +0200

kpeople (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Shorten synopsis of libkf5people-doc

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:03 +0200

kpeople (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kpeople (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

kpeople (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: kpeople
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5itemviews-dev (>= 5.98.0~),
-               libkf5widgetsaddons-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libkf5i18n-dev (>= 5.100.0~),
+               libkf5itemviews-dev (>= 5.100.0~),
+               libkf5widgetsaddons-dev (>= 5.100.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
 Rules-Requires-Root: no
 
 Package: libkf5people-data
@@ -66,7 +66,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Description: framework providing unified access to contacts aggregated by person (documentation)
+Description: documentation files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
  .

## kpeople 5.102.0

=== debian/changelog ===
kpeople (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

kpeople (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
-               libkf5i18n-dev (>= 5.100.0~),
-               libkf5itemviews-dev (>= 5.100.0~),
-               libkf5widgetsaddons-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5itemviews-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kpeople
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git

## kpeople 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,34 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project (KPeople VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+
+include(KDEGitCommitHooks)
+include(ECMSetupVersion)
+include(ECMGenerateHeaders)
+include(ECMSetupVersion)
+include(ECMAddTests)
+include(ECMAddQch)
+include(CMakePackageConfigHelpers)
+include(ECMGeneratePriFile)
+include(GenerateExportHeader)
+include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
+
 set(REQUIRED_QT_VERSION 5.15.2)
-include(KDEInstallDirs)
-
-find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Sql Widgets Qml Quick)
 
 # On non-Apple UNIX DBus integration is required, on Android it does not exist and on other platforms it is optional
 if(UNIX AND NOT APPLE)
@@ -29,20 +43,6 @@
 find_package(KF5WidgetsAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package(KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
 find_package(KF5ItemViews ${KF_DEP_VERSION} CONFIG REQUIRED)
-
-include(KDECMakeSettings)
-include(KDEGitCommitHooks)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
-include(ECMSetupVersion)
-include(ECMAddTests)
-include(ECMAddQch)
-include(CMakePackageConfigHelpers)
-include(ECMGeneratePriFile)
-include(GenerateExportHeader)
-include(ECMQtDeclareLoggingCategory)
 
 option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
@@ -59,8 +59,12 @@
 option(ENABLE_EXAMPLES "Build the examples" "ON")
 
 ki18n_install(po)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
+
 add_subdirectory (src)
 if (ENABLE_EXAMPLES)
   add_subdirectory(examples)

=== examples/CMakeLists.txt ===
add_executable(contactlistwidgets contactlistwidgets.cpp)
target_link_libraries(contactlistwidgets Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Widgets KF5::People)

find_package(Qt${QT_MAJOR_VERSION}Quick)
if (Qt${QT_MAJOR_VERSION}Quick_FOUND)
    qt_add_resources(contactlistqml_SRCS contactlistqml.qrc)
    add_executable(contactlistqml contactlistqml.cpp ${contactlistqml_SRCS})
    target_link_libraries(contactlistqml Qt${QT_MAJOR_VERSION}::Quick)
endif()

add_executable(personwidget personwidget.cpp)
target_link_libraries(personwidget Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Widgets KF5::People KF5::PeopleWidgets)


# add_executable(loadcontact loadcontact.cpp)
# target_link_libraries(loadcontact Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Gui KF5::People)

add_executable(duplicates duplicates.cpp)
target_link_libraries(duplicates KF5::People KF5::CoreAddons KF5::PeopleBackend)

add_executable(duplicatesdialog duplicatesdialog.cpp)
target_link_libraries(duplicatesdialog KF5::PeopleWidgets Qt${QT_MAJOR_VERSION}::Widgets)

=== src/widgets/CMakeLists.txt ===
add_library(KF5PeopleWidgets)
add_library(KF5::PeopleWidgets ALIAS KF5PeopleWidgets)

set_target_properties(KF5PeopleWidgets PROPERTIES
    VERSION     ${KPEOPLE_VERSION}
    SOVERSION   ${KPEOPLE_SOVERSION}
    EXPORT_NAME PeopleWidgets
)

target_sources(KF5PeopleWidgets PRIVATE
    persondetailsdialog.cpp
    persondetailsview.cpp
    persondetailsdialog.cpp
    emaildetailswidget.cpp
    abstractfieldwidgetfactory.cpp
    actions.cpp

    mergedialog.cpp
    mergedelegate.cpp
)

ecm_qt_declare_logging_category(KF5PeopleWidgets
    HEADER kpeople_widgets_debug.h
    IDENTIFIER KPEOPLE_WIDGETS_LOG
    CATEGORY_NAME kf.people.widgets
    OLD_CATEGORY_NAMES kf5.kpeople.widgets
    DESCRIPTION "kpeople widgets"
    EXPORT KPEOPLE
)

ki18n_wrap_ui(KF5PeopleWidgets person-details-presentation.ui)

target_link_libraries (KF5PeopleWidgets
                    PUBLIC
                        KF5::People
                        Qt${QT_MAJOR_VERSION}::Widgets
                    PRIVATE
                        KF5::I18n
                        KF5::ItemViews
                        KF5::WidgetsAddons
                        KF5::PeopleBackend
                        KF5::CoreAddons
)

if (MSVC)
    set_target_properties (KF5PeopleWidgets PROPERTIES
                           OUTPUT_NAME libKPeopleWidgets
    )
endif (MSVC)

# Install:
install (TARGETS KF5PeopleWidgets
         EXPORT KPeopleTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KPeopleWidgets_CamelCase_HEADERS
    HEADER_NAMES
            AbstractFieldWidgetFactory
            PersonDetailsView
            MergeDialog
            PersonDetailsDialog
            Actions
    REQUIRED_HEADERS KPeopleWidgets_HEADERS
    PREFIX KPeople/Widgets
)

install (FILES ${KPeopleWidgets_CamelCase_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/KPeople/Widgets
         COMPONENT Devel
)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kpeople/widgets/kpeoplewidgets_export.h
  ${KPeopleWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople/kpeople/widgets COMPONENT Devel
)

generate_export_header(KF5PeopleWidgets EXPORT_FILE_NAME ${CMAKE_CURRENT_BINARY_DIR}/kpeople/widgets/kpeoplewidgets_export.h BASE_NAME KPeopleWidgets)

ecm_generate_pri_file(BASE_NAME KPeopleWidgets LIB_NAME KF5PeopleWidgets DEPS "widgets KPeople" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KPeople)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

# make available to ecm_add_qch in parent folder
set(KPeopleWidgets_QCH_SOURCES ${KPeopleWidgets_HEADERS} PARENT_SCOPE)

=== debian/changelog ===
kpeople (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## kpeople 5.104.0

=== debian/changelog ===
kpeople (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.102.0~),
-               libkf5coreaddons-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
-               libkf5itemviews-dev (>= 5.102.0~),
-               libkf5widgetsaddons-dev (>= 5.102.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5itemviews-dev (>= 5.104.0~),
+               libkf5widgetsaddons-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
@@ -28,9 +28,9 @@
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5people5 (<< 5.74), libkpeople3
-Replaces: libkf5people5 (<< 5.74), libkpeople3
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5people5 (<< 5.74), libkpeople3,
+Replaces: libkf5people5 (<< 5.74), libkpeople3,
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -50,7 +50,7 @@
          libkf5peoplewidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5people-doc (= ${source:Version})
+Recommends: libkf5people-doc (= ${source:Version}),
 Description: development files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -65,7 +65,7 @@
 Package: libkf5people-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: documentation files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -126,7 +126,7 @@
 Package: qml-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.

## kpeople 5.106.0

=== debian/changelog ===
kpeople (5.106.0-0xneon+22.04+jammy+release+build23) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 12:00:04 +0000

kpeople (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:56:49 +0000

kpeople (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:31:02 +0000

kpeople (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:37:24 +0000

kpeople (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:59:34 +0000

kpeople (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:01:24 +0000

kpeople (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:10:01 +0000

kpeople (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:24:42 +0000

kpeople (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:38:19 +0000

kpeople (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:05:39 +0000

kpeople (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:36:05 +0000

kpeople (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:00:56 +0000

kpeople (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:41:21 +0000

kpeople (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 18:15:14 +0000

kpeople (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:26:57 +0000

kpeople (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:55:44 +0000

kpeople (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 06:29:08 +0000

kpeople (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:10:52 +0000

kpeople (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:29 +0000

kpeople (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:27:23 +0000

kpeople (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:17:49 +0000

kpeople (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:29 +0000

kpeople (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:18:25 +0000

kpeople (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:58:59 +0000

kpeople (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:25:40 +0000

kpeople (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:06:45 +0000

kpeople (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:27 +0000

kpeople (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:42:13 +0000

kpeople (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:33:45 +0000

kpeople (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:24:01 +0000

kpeople (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:38:16 +0000

kpeople (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:55:41 +0000

kpeople (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:42:17 +0000

kpeople (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:16 +0000

kpeople (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:22:43 +0000

kpeople (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:05:57 +0000

kpeople (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:24:25 +0000

kpeople (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:38:22 +0000

kpeople (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 14:02:37 +0000

kpeople (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:24:01 +0000

kpeople (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:21:59 +0000

kpeople (5.61.90-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:53:27 +0000

kpeople (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:46:54 +0000

kpeople (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:12:35 +0000

kpeople (5.58.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 May 2019 13:16:26 +0000

kpeople (5.57.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Apr 2019 08:44:43 +0000

kpeople (5.56.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Mar 2019 15:59:42 +0000

kpeople (5.55.0-0neon) bionic; urgency=medium



## kpeople 5.107.0

=== debian/changelog ===
kpeople (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5itemviews-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5i18n-dev (>= 5.107.0~),
+               libkf5itemviews-dev (>= 5.107.0~),
+               libkf5widgetsaddons-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),

## kpeople 5.109.0

=== debian/changelog ===
kpeople (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:34 +0100

kpeople (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:54 +0100

kpeople (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:47 +0100

kpeople (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:42 +0100

kpeople (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:49 +0000

kpeople (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:39 +0000

kpeople (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:14 +0000

kpeople (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:50 +0000

kpeople (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:10 +0000

kpeople (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: kpeople
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
-               libkf5coreaddons-dev (>= 5.107.0~),
-               libkf5i18n-dev (>= 5.107.0~),
-               libkf5itemviews-dev (>= 5.107.0~),
-               libkf5widgetsaddons-dev (>= 5.107.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5itemviews-dev (>= 5.109.0~),
+               libkf5widgetsaddons-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
 Rules-Requires-Root: no
 
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5people5 (<< 5.74), libkpeople3,
-Replaces: libkf5people5 (<< 5.74), libkpeople3,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5people5 (<< 5.74), libkpeople3
+Replaces: libkf5people5 (<< 5.74), libkpeople3
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -50,7 +50,7 @@
          libkf5peoplewidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5people-doc (= ${source:Version}),
+Recommends: libkf5people-doc (= ${source:Version})
 Description: development files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -65,8 +65,8 @@
 Package: libkf5people-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-Description: documentation files for kpeople
+Depends: ${misc:Depends}
+Description: framework providing unified access to contacts aggregated by person (documentation)
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
  .
@@ -126,7 +126,7 @@
 Package: qml-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.

## kpeople 5.110.0

=== debian/changelog ===
kpeople (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5itemviews-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5itemviews-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
